Cemu - Bug #693

Cemu/XCX: Save game persistence issue leading to crashes shortly after load
06/28/2024 03:17 PM - Macready

Status: Closed Start date: 06/28/2024
Priority: Normal

Assignee:

Category: General

API: Vulkan GPU Vendor/Model:  NVIDIA RTX 4080
Cemu Version: 2.0-86

Description

Hi,

Forgive the length of this report, but | feel like the anecdotal background helps to put some context around this issue.

I've got about 40 hours playing XCX on Cemu thus far and I've been experiencing periodic crashes. When the crashes do start,
they've seemed to come in a wave. I'll go from rock-solid stable to crash-prone, and then somehow get past the issue without any
clear indication of the initial cause or what | did to "fix" it. They start, they persist, and then they go away.

Remediation steps I've tried which have no impact on the problem:

® Deleting the shaderCache folder
¢ Rebooting
e Updating graphics driver

I'm normally pretty good at identifying patterns in problems like this one, but this one has had me stumped. However, | may finally be
on to something. Last night | spent about three hours playing with no problems whatsoever, and then logged off near Eleanora in
NLA. This morning upon loading the save, | started crashing within 60 seconds. Nothing | tried could budge the problem - crash,
crash, crash on every attempt. Then | recalled when this happened previously (at the base camp in Primordia near the ch.3 Prone
camp), | finally ended up loading my save and running away from that "crash area" as fast as | could. | managed to get away without
crashing, and then presumed I'd discovered some sort of issue with Cemu rendering that area. But the next time | came back to that
area, all was well.

So | tried the same approach with the new problem manifestation in NLA. | loaded my save and ran away from Armory Alley, took
the transport to the Industrial District, and then ran out of the west gate. No crash. | ran along the path just past the first stream, and
all was still well. Curious to see what would happen, | then doubled back to NLA, took the transport back to the Administrative
District, and then ran through Armory Alley. No crash, stable as could be.

Huh. | went about the business of playing again for 30 mins or so, and then had a thought. | had a backup of the previous night's
logoff save sitting in the cloud. What would happen if | restored that save and loaded the game? So | tried, and... 100% repeatable
crash in Armory Alley once more.

So anyway, my current theory is that Cemu is somehow persisting something in the save game that causes crashing shortly after
load. But whatever that bad piece of data is, it must be something transient, because I've now experienced multiple instances where
moving far enough away from the problem area will cause the crash behavior to clear.

I've attached an archive including the problem save. Load it, hang a left toward Armory Alley, and then proceed to run down Armory
Alley. On my Cemu instance (2.0-86), | am 100% guaranteed to crash before reaching the far end of the alley (or at least | managed
10 or so crashes in a row before | stopped trying).

History

#1 - 06/29/2024 04:59 PM - Macready
EDIT: This issue is tied to FPS++ set to 120fps cap.

#2 - 07/02/2024 10:37 AM - Exzap

- Status changed from New to Closed
